2 Replies Latest reply on Sep 16, 2014 5:48 AM by Rajni Kumari

    Upgrade to JSF2.2 with JBoss EAP 6.1 alpha

    Rajni Kumari Newbie

      We are using JBOSS EAP 6.1 alpha with Primefaces 3.5 and JSF 2.1.

      We are in middle of upgrading the PrimeFaces from 3.5 to 5.0, we found that PrimeFaces 5.0 require JSF 2.2.

       

      Followed the steps provided in the thread https://developer.jboss.org/thread/203257?start=0&tstart=0 for JSF upgardation,

      but still getting exception :

      SEVERE [javax.enterprise.resource.webcontainer.jsf.config] (MSC service thread 1-3) Critical error during deployment: : org.jboss.weld.context.ContextNotActiveException: WELD-001303 No active contexts for scope type javax.faces.flow.builder.FlowDefinition.

       

      Does JBoss EAP 6.1 Alpha supports JSF 2.2 upgarde?  If Yes, Please provide me the steps.

       

      Thanks!